Warning, /sdk/kdesrc-build/custom-qt5-libs-build-include is written in an unsupported language. File is not indexed.

0001 # These libs are likely part of your distro
0002 
0003 # So you only need to include this file if you compile your own Qt5,
0004 # to avoid mixing your own Qt with the distro's Qt.
0005 #
0006 
0007 # keep libgpg-error in sync with gpgme, see below
0008 module libgpg-error
0009     repository https://dev.gnupg.org/source/libgpg-error.git
0010     branch master
0011     # NOTE: you need to run ./autogen.sh before kdesrc-build runs configure.
0012     # Maybe we can ask kdesrc-build do to that?
0013     configure-flags --enable-maintainer-mode
0014 end module
0015 
0016 # qgpgme is part of gpgme...
0017 module gpgme
0018     repository https://dev.gnupg.org/source/gpgme.git
0019     branch master
0020     # NOTE: you need to run ./autogen.sh before kdesrc-build runs configure.
0021     # Maybe we can ask kdesrc-build do to that?
0022     configure-flags --enable-maintainer-mode --enable-languages=cpp,qt
0023 end module
0024 
0025 
0026 # For okular
0027 
0028 module poppler
0029   repository https://gitlab.freedesktop.org/poppler/poppler.git
0030   branch master
0031   cmake-options -DWITH_GLIB=OFF -DLIB_SUFFIX=64 -DENABLE_UNSTABLE_API_ABI_HEADERS=1
0032 end module
0033 
0034 # For kaccounts-integration
0035 
0036 module libaccounts-glib
0037   # doesn't depend on qt, but this way it's the right version for libaccounts-qt below
0038   repository https://gitlab.com/accounts-sso/libaccounts-glib.git
0039   configure-flags -Dpy-overrides-dir=${kdedir}/lib/python3/dist-packages/gi/overrides
0040 end module
0041 
0042 module libaccounts-qt
0043   repository https://gitlab.com/accounts-sso/libaccounts-qt.git
0044   qmake-options PREFIX=${kdedir}
0045 end module
0046 
0047 module signond
0048   repository https://gitlab.com/accounts-sso/signond.git
0049   qmake-options PREFIX=${kdedir}
0050 end module
0051 
0052 # For apper
0053 
0054 module packagekit-qt
0055   repository https://github.com/hughsie/PackageKit-Qt.git
0056 end module
0057 
0058 # For telepathy-accounts-signon
0059 
0060 module libsignon-glib
0061   repository https://gitlab.com/accounts-sso/libsignon-glib.git
0062   configure-flags -Dpy-overrides-dir=${kdedir}/lib/python3/dist-packages/gi/overrides
0063 end module
0064 
0065 # Mandatory for kmouth, optional for kpimtextedit
0066 
0067 module qtspeech
0068   repository https://code.qt.io/qt/qtspeech.git
0069   branch 5.15.2
0070 end module
0071 
0072 # Mandatory for krita
0073 
0074 module quazip
0075   repository https://github.com/stachenov/quazip.git
0076   branch master
0077 end module
0078 
0079 # For kaidan, qrca
0080 
0081 module zxing-cpp
0082   repository https://github.com/nu-book/zxing-cpp.git
0083   branch master
0084   cmake-options -DLINK_CPP_STATICALLY=OFF -DBUILD_SHARED_LIBRARY=ON
0085 end module
0086 
0087 # For kaidan
0088 
0089 module libomemo-c
0090   repository https://github.com/dino/libomemo-c.git
0091   cmake-options -DBUILD_SHARED_LIBS=ON
0092 end module
0093 
0094 module qxmpp
0095   repository https://github.com/qxmpp-project/qxmpp.git
0096   branch master
0097   cmake-options -DBUILD_TESTS=OFF -DBUILD_EXAMPLES=OFF -DBUILD_OMEMO=ON
0098 end module
0099 
0100 # For neochat
0101 
0102 module libquotient
0103   repository https://github.com/quotient-im/libQuotient
0104   branch dev
0105   cmake-options -DBUILD_SHARED_LIBS=ON -DQuotient_ENABLE_E2EE=on
0106 end module
0107 
0108 module qtkeychain
0109   repository https://github.com/frankosterfeld/qtkeychain.git
0110   branch master
0111 end module
0112 
0113 module cmark
0114   repository https://github.com/commonmark/cmark.git
0115   branch master
0116 end module
0117 
0118 # for kio-extras
0119 module kdsoap
0120   repository https://github.com/KDAB/KDSoap
0121   branch master
0122 end module
0123 
0124 # For neochat, spacebar, possibly more
0125 module qcoro
0126   repository https://github.com/danvratil/qcoro
0127   cmake-options -DUSE_QT_VERSION=5
0128   branch main
0129 end module